%global pkgname pgpdump

Name:           python-%{pkgname}
Version:        1.4
Release:        1%{?dist}
Summary:        PGP packet parser library in Python 2.x
URL:            http://www.mew.org/~kazu/proj/pgpdump/
Source:         https://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
License:        BSD
BuildArch:      noarch
BuildRequires:  python2-devel

%description
python-pgpdump is a Python library for parsing PGP packets. The intent here 
is not on completeness, as we don't currently decode every packet type, but 
on being able to do what people actually have to 95% of the time. 

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} pgpdump/test.py

%files
%doc COPYRIGHT README.md
%{python2_sitelib}/%{pkgname}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{pkgname}

%changelog
* Wed Dec 19 2012 Christopher Meng <rpm@cicku.me> - 1.4-1
- Initial Package.
